#!/usr/bin/env python

"""
mod_python adapter.
"""

import WebStack.ModPython
from mod_python import apache

def dispatch(request, resource):

    "Dispatch the given 'request' to the root application-specific 'resource'."

    trans = WebStack.ModPython.Transaction(request)
    try:
        # NOTE: Resource pooling may be appropriate.

        resource.respond(trans)
        return apache.OK
    except:

        # NOTE: Error conditions should be investigated further, along with
        # NOTE: other response states.

        return apache.INTERNAL_SERVER_ERROR

# vim: tabstop=4 expandtab shiftwidth=4
